#ifndef CMWPARAMCOATCLEAN_H
#define CMWPARAMCOATCLEAN_H

#include "cmwidget.h"
#include <QTableWidgetItem>
namespace Ui {
class CMWParamCoatClean;
}

class CMWParamCoatClean : public CMWidget
{
	Q_OBJECT
public:
	enum _COATCLEANTYPE
	{
		COAT_WIDGET,
		CLEAN_WIDGET,
	};
	explicit CMWParamCoatClean(QWidget *parent ,int itype);
	~CMWParamCoatClean();
public:
	void MFresh();
	void MApply();
    void MInit();
    void MTimeFresh();
	void showEvent(QShowEvent* event);

    int m_iCurLevel;
	int m_itype;
    int m_iSelectRow;
private slots:
	void on_tableWidget_currentItemChanged(QTableWidgetItem *current,
										   QTableWidgetItem *previous);

	void on_pushButton_Insert_clicked();

	void on_pushButton_del_clicked();

	void on_pushButton_test_clicked();

private:
	Ui::CMWParamCoatClean *ui;
};

#endif // CMWPARAMCOATCLEAN_H
